-- phpMyAdmin SQL Dump
-- version 4.7.4
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: Sep 15, 2018 at 12:57 PM
-- Server version: 5.7.19
-- PHP Version: 7.1.9

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `sistemzadiplomce2018`
--
DROP DATABASE IF EXISTS `sistemzadiplomce2018`;
CREATE DATABASE IF NOT EXISTS `sistemzadiplomce2018` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
USE `sistemzadiplomce2018`;

-- --------------------------------------------------------

--
-- Table structure for table `diplomski`
--

DROP TABLE IF EXISTS `diplomski`;
CREATE TABLE IF NOT EXISTS `diplomski` (
  `idDiplomski` int(11) NOT NULL AUTO_INCREMENT,
  `naslov` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `idPredmet` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `idStudent` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `idMentor` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`idDiplomski`),
  KEY `idPredmet` (`idPredmet`),
  KEY `idStudent` (`idStudent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `katedra`
--

DROP TABLE IF EXISTS `katedra`;
CREATE TABLE IF NOT EXISTS `katedra` (
  `idKatedra` int(11) NOT NULL AUTO_INCREMENT,
  `naziv` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`idKatedra`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `korisnik`
--

DROP TABLE IF EXISTS `korisnik`;
CREATE TABLE IF NOT EXISTS `korisnik` (
  `username` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `ime` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `prezime` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `datum_rodjenja` date NOT NULL,
  `JMBG` varchar(13) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `nastavnik`
--

DROP TABLE IF EXISTS `nastavnik`;
CREATE TABLE IF NOT EXISTS `nastavnik` (
  `titula` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `zvanje` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `katedra` int(11) NOT NULL,
  KEY `katedra` (`katedra`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `odsek`
--

DROP TABLE IF EXISTS `odsek`;
CREATE TABLE IF NOT EXISTS `odsek` (
  `idOdsek` varchar(3) COLLATE utf8_unicode_ci NOT NULL COMMENT 'sifra odseka, ima 2 ili 3 karaktera',
  `nazivOdseka` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `nastavnik_za_praksu` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`idOdsek`),
  KEY `nastavnik_za_praksu` (`nastavnik_za_praksu`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `polozio_predmet`
--

DROP TABLE IF EXISTS `polozio_predmet`;
CREATE TABLE IF NOT EXISTS `polozio_predmet` (
  `idStudent` varchar(32) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `praksa`
--

DROP TABLE IF EXISTS `praksa`;
CREATE TABLE IF NOT EXISTS `praksa` (
  `idP` int(11) NOT NULL AUTO_INCREMENT,
  `pozicija` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `datum_od` date NOT NULL,
  `datum_do` date NOT NULL,
  `brojMesta` int(11) NOT NULL,
  PRIMARY KEY (`idP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `predmeti`
--

DROP TABLE IF EXISTS `predmeti`;
CREATE TABLE IF NOT EXISTS `predmeti` (
  `sifraPredmeta` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `naziv` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `espb` int(11) NOT NULL,
  `semestar` int(11) NOT NULL,
  PRIMARY KEY (`sifraPredmeta`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `student`
--

DROP TABLE IF EXISTS `student`;
CREATE TABLE IF NOT EXISTS `student` (
  `username` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `broj_indeksa` varchar(9) COLLATE utf8_unicode_ci NOT NULL COMMENT 'u obliku GGGG/BBBB',
  `odsek` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `nastavnik`
--
ALTER TABLE `nastavnik`
  ADD CONSTRAINT `nastavnik_ibfk_1` FOREIGN KEY (`katedra`) REFERENCES `katedra` (`idKatedra`) ON UPDATE CASCADE;

--
-- Constraints for table `student`
--
ALTER TABLE `student`
  ADD CONSTRAINT `student_ibfk_1` FOREIGN KEY (`username`) REFERENCES `korisnik` (`username`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
